de.esprit.appsuite.nio.ndf

## Enum NotifyListValue

- java.lang.Object
- - java.lang.Enum<NotifyListValue>
  - - de.esprit.appsuite.nio.ndf.NotifyListValue

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NotifyListValue>

      public enum NotifyListValue
      extends java.lang.Enum<NotifyListValue>

  This enum defines how you want to be notified about list data.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AS_BUFFERED_WORD` Causes list values to be read and notified as `AsciiWord`s.
    `AS_STRING` Causes list values to be read and notified as Strings.
    `SKIP` Causes list values to be skipped.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `asBufferedWord()`
    `boolean` | `asString()`
    `boolean` | `isSkip()`
    `static NotifyListValue` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NotifyListValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AS_STRING

          public static final NotifyListValue AS_STRING

      Causes list values to be read and notified as Strings. Note that a String value is interpreted like a property value.

    - #### AS_BUFFERED_WORD

          public static final NotifyListValue AS_BUFFERED_WORD

      Causes list values to be read and notified as `AsciiWord`s. This is the fastest way of notification but it does no interpretation on the data at all.

    - #### SKIP

          public static final NotifyListValue SKIP

      Causes list values to be skipped. No value notification takes place any more.

  - ### Method Detail

    - #### values

          public static NotifyListValue[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NotifyListValue c : NotifyListValue.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NotifyListValue valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isSkip

          public boolean isSkip()

    - #### asString

          public boolean asString()

    - #### asBufferedWord

          public boolean asBufferedWord()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.